'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgMug = function SvgMug(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Mug_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M2.56 7.326a.5.5 0 0 0-.212.047.45.45 0 0 0-.181.131.545.545 0 0 0-.166.42l.126 22.832.312 41.635c.005.16.068.312.177.425a.6.6 0 0 0 .407.184l54.311-.352a.6.6 0 0 0 .217-.052.6.6 0 0 0 .191-.137.7.7 0 0 0 .121-.2.6.6 0 0 0 .04-.236l-.1-14.272h.216c5.425-.304 10.529-2.775 14.25-6.901S78.043 41.262 78 35.6s-2.18-11.09-5.963-15.153-8.925-6.45-14.354-6.663h-.217V7.61a.61.61 0 0 0-.171-.43A.58.58 0 0 0 56.88 7L2.57 7.326zm1.007 64.53v-.237L3.26 30.824 3.13 8.612h.226l52.935-.394.439 63.244h-.227zm54.518-15.17-.247-.211v-7.351h.227c3.337-.08 6.511-1.521 8.84-4.014 2.33-2.493 3.629-5.838 3.617-9.318-.01-3.48-1.33-6.816-3.676-9.292s-5.53-3.895-8.867-3.952h-.317v-7.43h.236c5.119.229 9.957 2.5 13.514 6.342 3.557 3.843 5.56 8.964 5.596 14.304.035 5.34-1.9 10.49-5.405 14.384s-8.313 6.234-13.427 6.537zm-.292-8.828-.182-24.154h.227c3.073-.026 6.03 1.223 8.22 3.47s3.433 5.31 3.457 8.512-1.173 6.285-3.33 8.568c-2.155 2.283-5.093 3.58-8.166 3.604z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Mug_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgMug;
